Ban an URL using a VCL expression

- « VarnishAdmin::ban

- VarnishAdmin::clearPanic »

- PHP Manual
- VarnishAdmin
- Ban an URL using a VCL expression

# VarnishAdmin::banUrl

(PECL varnish >= 0.3)

VarnishAdmin::banUrl — Ban an URL using a VCL expression

### Description

public VarnishAdmin::banUrl(string `$vcl_regex`): int

### Parameters

`vcl_regex`

  URL regular expression in PCRE compatible syntax. It's based on the ban.url varnish command.

### Return Values

Returns the varnish command status.